export const PATH = {
  ROOT : '/',
  LOGIN: '/login',
  MAIN : '/main',
  OTHER : '*',
}

export const MAIN_PATH = {
  WELCOME : '/welcome',
  MANAGE : '/manage',
  SETTING : '/setting',
  MODAL : '/modal',
  DICT : '/dictionary',
  STORE: '/store',
  INDEX: '/index_mana'
}
export const STORE_PATH = {
  DATA_SET : '/data_set',
  LIB : '/library',
}



export const ProTableDefault = {
  rowKey:'id',
  cardBordered:true,
  dateFormatter:"string",
  search:{
    labelWidth: 'auto'
  },
  option:{
    setting: {
      listsHeight: 400
    }
  },
  columnsState:{
    persistenceKey: 'pro-table-singe-demos',
    persistenceType: 'localStorage',
    defaultValue: {
      option: {fixed: 'right', disable: true},
    }
  },
  tableStyle:{
    height:'70vh'
  }
}

export const STATUS_TYPE = {
  0:"失效",
  1:"生效"
}

export const PUBLISH_TYPE = {
  0:"未发布",
  1:"已发布"
}

export const TYPE_ENUM ={
  METRIC:"METRIC",
  DIMENSION:"DIMENSION",
  DOMAIN:"DOMAIN",
  DATASET:"DATASET",
  MODEL:"MODEL",
  UNKNOWN:"UNKNOWN"
}

export const TYPE_ENUM_CN ={
  METRIC:"指标",
  DIMENSION:"维度",
  DOMAIN:"主题域",
  DATASET:"数据集",
  MODEL:"模型",
  UNKNOWN:"未知"
}

export const AUTH_TYPE = {
  ADMIN:"ADMIN",
  VISIBLE:"VISIBLE",
  PUBLISH:"PUBLISH"
}

export const DIM_TYPE_ENUM ={
  DATETIME:"time",
  IDENTIFY:"identify",
  CATEGORICAL:"categorical",
}

export const DIM_TYPE_OPTION ={
  identify:"主键",
  categorical:"通用维度",
  time:"时间维度",
}

export const DATABASE_TYPES = [
  'INTERBASE',
  'FIREBIRD',
  'IMPALA',
  'NETEZZA',
  'PHOENIX',
  'SQLSTREAM',
  'PRESTO',
  'SPARK',
  'DORIS',
  'DERBY',
  'CLICKHOUSE',
  'INFORMIX',
  'SYBASE',
  'HIVE',
  'H2',
  'POSTGRESQL',
  'ACCESS',
  'NEOVIEW',
  'BIG_QUERY',
  'MSSQL',
  'DB2',
  'MYSQL',
  'ORACLE',
  'HTTP'
];