/**
 * 模型创建方式
 */
export const MODAL_TYPE = {
  QUICK : 'quick',
  SQL: 'sql',
}

/**
 * ToolBar上的ButtonRadio选择器选项
 */
export const RadioOptions = [
  {
    label: '全部',
    value: 'all',
  },
  {
    label: '主键',
    value: 'isKey',
  },
  {
    label: '时间维度',
    value: 'datetime',
  },
  {
    label: '通用维度',
    value: 'common',
  },
  {
    label: '度量',
    value: 'measure',
  },
]

export const RadioType ={
  isKey:'主键',
  datetime:'时间维度',
  common:'通用维度',
  measure:'度量'
}

export const MeasureType = [
  'INT',
  'BIGINT',
  'TINYINT',
  'DOUBLE',
  'DECIMAL',
]

export const DateFormat = [
  {
    label: '年-月-日',
    value: 'YYYY-MM-DD',
  },
  {
    label: '年/月/日',
    value: 'YYYY/MM/DD',
  },
  {
    label: '月/日/年',
    value: 'MM/DD/YYYY',
  },
  {
    label: '日/月/年',
    value: 'DD/MM/YYYY',
  }
]